For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • GETList payout batches for paypoint
            • GETList payout batches for org
            • GETList payouts by paypoint
            • GETList payouts by org
            • GETList vcards by paypoint
            • GETList vcards by org
            • GETList vcard transactions by paypoint
            • GETList vcard transactions by org
            • GETGet list of outbound transfers for an organization
            • GETGet list of outbound transfers for a paypoint
            • GETGet outbound transfer details
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Out endpointsPay Out reportingQuery

List payouts by org

|View as Markdown|Open in Claude|
GET
/Query/payouts/org/:orgId
GET
/api/Query/payouts/org/:orgId
$curl -G https://api-sandbox.payabli.com/api/Query/payouts/org/123 \
> -H "requestToken: <apiKey>" \
> -d fromRecord=251 \
> -d limitRecord=0 \
> -d sortBy=desc(field_name)
1{
2 "Records": [
3 {
4 "BatchNumber": "BT-2024321",
5 "Bills": [
6 {}
7 ],
8 "CheckNumber": "12345",
9 "Comments": "Deposit for materials",
10 "CreatedAt": "2022-07-01T15:00:01Z",
11 "EntryName": "d193cf9a46",
12 "Events": [
13 {}
14 ],
15 "externalPaypointID": "Paypoint-100",
16 "FeeAmount": 10.25,
17 "Gateway": "TSYS",
18 "IdOut": 236,
19 "LastUpdated": "2022-07-01T15:00:01Z",
20 "NetAmount": 3762.87,
21 "ParentOrgName": "PropertyManager Pro",
22 "PaymentData": {
23 "paymentDetails": {
24 "totalAmount": 100
25 }
26 },
27 "PaymentId": "12345678910",
28 "PaymentMethod": "ach",
29 "PaymentStatus": "Processed",
30 "PaypointDbaname": "Sunshine Gutters",
31 "PaypointLegalname": "Sunshine Services, LLC",
32 "Source": "api",
33 "Status": 1,
34 "TotalAmount": 110.25,
35 "Vendor": {
36 "additionalData": {
37 "key1": {
38 "key": "value"
39 },
40 "key2": {
41 "key": "value"
42 },
43 "key3": {
44 "key": "value"
45 }
46 },
47 "CreatedDate": "2022-07-01T15:00:01Z"
48 },
49 "CardToken": "CardToken"
50 }
51 ],
52 "Summary": {
53 "pageSize": 20,
54 "totalAmount": 21435.95,
55 "totalAuthorized": 4139,
56 "totalAuthorizedAmount": 11712.35,
57 "totalCanceled": 1743,
58 "totalCanceledAmount": 4515,
59 "totalCaptured": 138,
60 "totalCapturedAmount": 542,
61 "totalNetAmount": 21435.95,
62 "totalOpen": 2,
63 "totalOpenAmount": 2,
64 "totalPages": 391,
65 "totalPaid": 1,
66 "totalPaidAmount": 4,
67 "totalOnHold": 0,
68 "totalOnHoldAmount": 0,
69 "totalProcessing": 1780,
70 "totalProcessingAmount": 4660.6,
71 "totalRecords": 7803
72 }
73}

Retrieves a list of money out transactions (payouts) for an organization. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.

Was this page helpful?
Previous

List payouts by paypoint

Next

List vcards by paypoint

Authentication

requestTokenstring
API Key authentication via header

Path parameters

orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Query parameters

exportFormatenumOptional
Export format for file downloads. When specified, returns data as a file instead of JSON.
Allowed values:
fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 20

Max number of records to return for the query. Use 0 or negative value to return all records.

parametersmap from strings to nullable stringsOptional
Collection of field names, conditions, and values used to filter the query. <Info> **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client. For example: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20 should become: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20 </Info> List of field names accepted: - `status` (in, nin, eq, ne) - `transactionDate` (gt, ge, lt, le, eq, ne) - `billNumber` (ct, nct) - `vendorNumber` (ct, nct, eq, ne) - `vendorName` (ct, nct, eq, ne) - `parentOrgId` (ne, eq, nin, in) - `paymentMethod` (ct, nct, eq, ne, in, nin) - `paymentId` (ct, nct, eq, ne) - `batchNumber` (ct, nct, eq, ne) - `totalAmount` (gt, ge, lt, le, eq, ne) - `paypointLegal` (ne, eq, ct, nct) - `paypointDba` (ne, eq, ct, nct) - `accountId` (ne, eq, ct, nct) - `orgName` (ne, eq, ct, nct) - `externalPaypointID` (ct, nct, eq, ne) - `paypointId` (eq, ne) - `vendorId` (eq, ne) - `vendorEIN` (ct, nct, eq, ne) - `vendorPhone` (ct, nct, eq, ne) - `vendorEmail` (ct, nct, eq, ne) - `vendorAddress` (ct, nct, eq, ne) - `vendorCity` (ct, nct, eq, ne) - `vendorState` (ct, nct, eq, ne) - `vendorCountry` (ct, nct, eq, ne) - `vendorZip` (ct, nct, eq, ne) - `vendorMCC` (ct, nct, eq, ne) - `vendorLocationCode` (ct, nct, eq, ne) - `vendorCustomField1` (ct, nct, eq, ne) - `vendorCustomField2` (ct, nct, eq, ne) - `comments` (ct, nct) - `payaccountCurrency` (ne, eq, in, nin) - `remitAddress` (ct, nct) - `source` (ct, nct, eq, ne) - `updatedOn` (gt, ge, lt, le, eq, ne) - `feeAmount` (gt, ge, lt, le, eq, ne) - `lotNumber` (ct, nct) - `customerVendorAccount` (ct, nct, eq, ne) - `batchId` (eq, ne) - `AchTraceNumber` (eq, ne) - `payoutProgram`(eq, ne) the options are `managed` or `odp`. For example, `payoutProgram(eq)=managed` returns all records with a `payoutProgram` equal to `managed`. List of comparison accepted - enclosed between parentheses: - eq or empty => equal - gt => greater than - ge => greater or equal - lt => less than - le => less or equal - ne => not equal - ct => contains - nct => not contains - in => inside array separated by \"|\" - nin => not inside array separated by \"|\" List of parameters accepted: - limitRecord : max number of records for query (default=\"20\", \"0\" or negative value for all) - fromRecord : initial record in query - sortBy : indicate field name and direction to sort the results Example: `netAmount(gt)=20` returns all records with a `netAmount` greater than 20.00 Example: `sortBy=desc(netamount)` returns all records sorted by `netAmount` descending
sortBystringOptional

The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.

Response

Success
Recordslist of objects
Summaryobject

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error

Collection of field names, conditions, and values used to filter the query.

You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.

Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client.

For example:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

should become:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20

List of field names accepted:

  • status (in, nin, eq, ne)
  • transactionDate (gt, ge, lt, le, eq, ne)
  • billNumber (ct, nct)
  • vendorNumber (ct, nct, eq, ne)
  • vendorName (ct, nct, eq, ne)
  • parentOrgId (ne, eq, nin, in)
  • paymentMethod (ct, nct, eq, ne, in, nin)
  • paymentId (ct, nct, eq, ne)
  • batchNumber (ct, nct, eq, ne)
  • totalAmount (gt, ge, lt, le, eq, ne)
  • paypointLegal (ne, eq, ct, nct)
  • paypointDba (ne, eq, ct, nct)
  • accountId (ne, eq, ct, nct)
  • orgName (ne, eq, ct, nct)
  • externalPaypointID (ct, nct, eq, ne)
  • paypointId (eq, ne)
  • vendorId (eq, ne)
  • vendorEIN (ct, nct, eq, ne)
  • vendorPhone (ct, nct, eq, ne)
  • vendorEmail (ct, nct, eq, ne)
  • vendorAddress (ct, nct, eq, ne)
  • vendorCity (ct, nct, eq, ne)
  • vendorState (ct, nct, eq, ne)
  • vendorCountry (ct, nct, eq, ne)
  • vendorZip (ct, nct, eq, ne)
  • vendorMCC (ct, nct, eq, ne)
  • vendorLocationCode (ct, nct, eq, ne)
  • vendorCustomField1 (ct, nct, eq, ne)
  • vendorCustomField2 (ct, nct, eq, ne)
  • comments (ct, nct)
  • payaccountCurrency (ne, eq, in, nin)
  • remitAddress (ct, nct)
  • source (ct, nct, eq, ne)
  • updatedOn (gt, ge, lt, le, eq, ne)
  • feeAmount (gt, ge, lt, le, eq, ne)
  • lotNumber (ct, nct)
  • customerVendorAccount (ct, nct, eq, ne)
  • batchId (eq, ne)
  • AchTraceNumber (eq, ne)
  • payoutProgram(eq, ne) the options are managed or odp. For example, payoutProgram(eq)=managed returns all records with a payoutProgram equal to managed.

List of comparison accepted - enclosed between parentheses:

  • eq or empty => equal
  • gt => greater than
  • ge => greater or equal
  • lt => less than
  • le => less or equal
  • ne => not equal
  • ct => contains
  • nct => not contains
  • in => inside array separated by ”|”
  • nin => not inside array separated by ”|”

List of parameters accepted:

  • limitRecord : max number of records for query (default=“20”, “0” or negative value for all)
  • fromRecord : initial record in query
  • sortBy : indicate field name and direction to sort the results

Example: netAmount(gt)=20 returns all records with a netAmount greater than 20.00

Example: sortBy=desc(netamount) returns all records sorted by netAmount descending